Subject: [PATCH 1/2] OMAP2+: UART: Fix incorrect population of default uart pads

From: [email-masked] (Tony Lindgren)
Date: Mon, 7 May 2012 10:54:15 -0700

* Kevin Hilman <[email-masked]> [120507 10:42]:
> Tony Lindgren <[email-masked]> writes:
> >  
> > Just to follow up on this.. Let's first get things working reliably,
> > and only then add more PM support.
> >
> > We absolutely can't revert $SUBJECT because it's known to mess up
> > at least smsc911x and ehci on zoom3, hsi on n900 and probably
> > many other things.
> >
> > For the -rc cycle, it seems that [2] is out of question at this point
> > as too intrusive. If the PM & wakeups are broken in the default cases,
> > then I suggest we just take few steps back and disable any deeper PM
> > states in the -rc series.
> 
> Unfortunately, no need to do anything more to disable deeper PM states.
> 
> Because $SUBJECT disables runtime PM for UART, it keeps both PER and
> CORE on all the time. :(

Oh well, it seems that that runtime PM can now be enabled on per-board
basis as it gets tested.

Regards,

Tony